Bug 620743 (CVE-2010-2795) - CVE-2010-2795 php-pear-CAS: authenticated session hijack by providing new well formed ticket (PHPCAS-61)
Summary: CVE-2010-2795 php-pear-CAS: authenticated session hijack by providing new wel...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-2795
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 620753 620759 620772
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 11:51 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 15:37:20 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-08-03 11:51:31 UTC
Sébastien PORTEFAIX reported:
  [1] https://issues.jasig.org/browse/PHPCAS-61

a deficiency in the way Central Authentication Service (CAS) client library
processed service tickets (the submitted service ticket was used to rename
the http session before it was validated). A remote attacker, intercepting
the communication, could use this flaw to hijack any authenticated user session.

Upstream patch:
  [2] https://developer.jasig.org/source/changelog/jasigsvn/cas-clients/phpcas/trunk/source?cs=20822

Comment 1 Jan Lieskovsky 2010-08-03 11:53:41 UTC
This issue affects the versions of the php-pear-CAS package, as shipped
with Fedora release of 12 and 13.

Please fix.

Comment 3 Jan Lieskovsky 2010-08-03 12:32:42 UTC
This issue affects the versions of glpi package, as shipped 
with Fedora release of 12 and 13.

Please fix.

Comment 6 Jan Lieskovsky 2010-08-03 12:52:31 UTC
This issue affects the versions of the moodle package, as shipped
with Fedora release of 12 and 13.

This issue affects the versions of the moodle package, as shipped
within EPEL-4 and EPEL-5 repositories.

Please fix.

Comment 7 Jan Lieskovsky 2010-08-03 13:11:11 UTC
Created php-pear-CAS tracking bugs for this issue

Affects: fedora-all [bug 620753]

Comment 8 Jan Lieskovsky 2010-08-03 13:11:14 UTC
Created glpi tracking bugs for this issue

Affects: fedora-all [bug 620759]

Comment 9 Jan Lieskovsky 2010-08-03 13:11:21 UTC
Created moodle tracking bugs for this issue

Affects: fedora-all [bug 620772]


Note You need to log in before you can comment on or make changes to this bug.